Rysunek Roboczy: Obróć

From FreeCAD Documentation
Jump to navigation Jump to search
This page is a translated version of the page Draft Rotate and the translation is 100% complete.
Other languages:
Deutsch • ‎English • ‎Türkçe • ‎español • ‎français • ‎italiano • ‎polski • ‎português do Brasil • ‎română • ‎svenska • ‎čeština • ‎русский

Draft Rotate.svg Rysunek Roboczy: Obróć

Lokalizacja w menu
Modyfikacja → Obróć
Środowisko pracy
Rysunek Roboczy, Architektura
Domyślny skrót
R O
Wprowadzono w wersji
0.7
Zobacz także
Podświetl element podrzędny

Opis

Polecenie Draft Rotate.svg Obróć - obraca lub kopiuje wybrane obiekty wokół punktu środkowego o zadany kąt. W trybie elementu podrzędnego polecenie obraca wybrane punkty i krawędzie lub kopiuje wybrane krawędzie Linii i Polilinii.

Narzędzie Przesuń może być używane na obiektach 2D utworzonych za pomocą środowisk pracy Rysunek Roboczy lub Szkicownik, ale może być również używane dla wielu typów obiektów 3D, takich jak te utworzone za pomocą środowisk pracy Część, Projekt Części lub Architektura.

Draft Rotate example.jpg

Obracanie obiektu przy użyciu punktu środkowego.

Użycie

Zobacz także strony: Rysunek Roboczy: Przyciąganie i Rysunek Roboczy: Wiązania.

  1. Opcjonalnie wybierz jeden lub więcej obiektów, albo jeden lub więcej elementów podrzędnych linii lub linii łamanej.
  2. Istnieje kilka sposobów na wywołanie polecenia:
    • Naciśnij przycisk Draft Rotate.svg Obróć.
    • Wybierz z menu Modifikacja → Draft Rotate.svg Obróć.
    • Użyj skrótu klawiaturowego: R, a następnie O.
  3. Jeśli nie zaznaczyłeś jeszcze obiektu: wybierz obiekt w oknie widoku 3D.
  4. Otworzy się panel zadań Obróć. Zobacz Opcje, aby uzyskać więcej informacji.
  5. Jeśli zostały wybrane elementy podrzędne: zaznacz pole wyboru Modyfikuj elementy podrzędne, aby włączyć tryb pracy z elementami podrzędnymi.
  6. Wybierz pierwszy punkt, środek obrotu, w oknie widoku 3D lub wpisz współrzędne i naciśnij przycisk Draft AddPoint.svg. Wprowadź punkt.
  7. Wybierz drugi punkt w widoku 3D, lub wprowadź Kąt bazowy.
  8. Wybierz trzeci punkt w oknie widoku 3D, lub wprowadź Obrót.

Opcje

Wspomniane tutaj skróty klawiaturowe mogą być zmienione. Zobacz stronę Rysunek Roboczy: Preferencje.

  • Aby ręcznie wprowadzić współrzędne środka obrotu, wprowadź składowe X, Y i Z, a następnie naciśnij klawisz Enter po każdej z nich. Możesz też nacisnąć przycisk Draft AddPoint.svg Wprowadź punkt, gdy masz już żądane wartości. Wskazane jest, aby przed wprowadzeniem współrzędnych wysunąć kursor poza oknowidoku 3D.
  • Pole wyboru Względnie nie ma zastosowania dla tego polecenia.
  • Naciśnij klawisz G lub kliknij pole wyboru Globalnie, aby przełączyć tryb globalny. Jeśli tryb globalny jest włączony, współrzędne są odniesione do globalnego układu współrzędnych, w przeciwnym razie są one odniesione do układu współrzędnych płaszczyzny roboczej. dostępne w wersji 0.20
  • Naciśnij klawisz T lub kliknij w polu wyboru Kontynuuj, aby przełączyć tryb kontynuacji. Jeśli tryb kontynuacji jest włączony, polecenie zostanie uruchomione ponownie po zakończeniu. Ten tryb naprawdę ma sens tylko wtedy, gdy włączony jest tryb kopiowania. W zależności od preferencji Wybierz obiekty bazowe po skopiowaniu, albo oryginalne obiekty są wybierane do następnego wywołania polecenia, albo kopie, które zostały utworzone jako ostatnie. Zobacz Ustawienia.
  • Naciśnij klawisz P lub kliknij pole wyboru Kopiuj, aby przełączyć tryb kopiowania. Jeśli tryb kopiowania jest włączony, polecenie utworzy obrócone kopie zamiast obracania oryginalnych obiektów.
  • Naciśnij klawisz D lub kliknij pole wyboru Modifikuj elementy podrzędne, aby przełączyć tryb elementów podrzędnych. Jeśli tryb elementów podrzędnych jest włączony, polecenie będzie używać wybranych elementów podrzędnych zamiast całych obiektów. Elementy podrzędne muszą należeć do linii lub polilinii.
  • Jeśli tryb kopiowania i tryb elementów podrzędnych są włączone, a krawędzie polilinii są zaznaczone, nowe linie zostaną utworzone z tych krawędzi.
  • Przytrzymanie klawisza Alt po wprowadzeniu polecenia Kąt bazowy również przełączy tryb kopiowania. Gdy klawisz Alt jest przytrzymany, można wybrać wiele punktów dla polecenia Obróć. Zwolnij klawisz Alt, aby zakończyć polecenie i zobaczyć utworzone kopie.
  • Naciśnij S, aby włączyć lub wyłączyć przyciąganie.
  • Naciśnij klawisz Esc lub przycisk Zamknij, aby przerwać polecenie.

Uwagi

  • Obiekt, który jest mocowany nie może być obracany za pomocą polecenia Obróć. Aby go obrócić, należy obrócić jego obiekt DANEpodparcia lub zmienić jego właściwość DANEprzesunięcie umocowania.

Ustawienia

Zobacz także strony: Edytor ustawień oraz Rysunek Roboczy: Preferencje.

  • Aby zmienić liczbę miejsc po przecinku używanych do wprowadzania współrzędnych i kątów: Edycja → Preferencje → Ogólne → Jednostki → Ustawienia jednostek → Liczba cyfr po przecinku.
  • Aby zachować i ponownie wykorzystać to samo ustawienie trybu kopiowania w różnych poleceniach: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Tryb kopiowania globalny.
  • Aby ponownie wybrać obiekty bazowe po skopiowaniu obiektów: Edycja → Preferencje → Rysunek Roboczy → Ustawienia ogólne → Opcje narzędzi do kreślenia → Zaznacz obiekty bazowe po skopiowaniu.

Tworzenie skryptów

Zobacz również: Dokumentacja API generowana automatycznie oraz

Podstawy pisania skryptów dla FreeCAD.

Do obracania obiektów służy metoda rotate środowiska Rysunek Roboczy.

rotated_list = rotate(objectslist, angle, center=Vector(0,0,0), axis=Vector(0,0,1), copy=False)
  • objectslist zawiera obiekty, które mają zostać obrócone. Może to być pojedynczy obiekt lub lista obiektów.
  • kąt określa kąt obrotu w stopniach.
  • środek określa punkt środkowy obrotu.
  • wskazuje kierunek osi obrotu.
  • Jeśli parametr kopia posiada wartość true, to zamiast obracania oryginalnych obiektów tworzone są ich kopie.
  • Zwracana jest lista rotated_list z oryginalnymi obróconymi obiektami lub z nowymi kopiami. Jest to albo pojedynczy obiekt, albo lista obiektów, w zależności od objectlist.

Przykład:

import FreeCAD as App
import Draft

doc = App.newDocument()

polygon1 = Draft.make_polygon(3, radius=300)
Draft.move(polygon1, App.Vector(1000, 0, 0))

# Rotation around the origin
angle1 = 45
rot2 = Draft.rotate(polygon1, angle1, copy=True)
rot3 = Draft.rotate(polygon1, 2*angle1, copy=True)
rot4 = Draft.rotate(polygon1, 4*angle1, copy=True)

polygon2 = Draft.make_polygon(3, radius=1000)
polygon3 = Draft.make_polygon(5, radius=500)
Draft.move(polygon2, App.Vector(2000, 0, 0))
Draft.move(polygon3, App.Vector(2000, 0, 0))

# Rotation around another point
angle2 = 60
cen = App.Vector(3100, 0, 0)
list2 = [polygon2, polygon3]
rot_list2 = Draft.rotate(list2, angle2, center=cen, copy=True)
rot_list3 = Draft.rotate(list2, 2*angle2, center=cen, copy=True)
rot_list4 = Draft.rotate(list2, 4*angle2, center=cen, copy=True)

doc.recompute()